2017-03-26 23:35 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001612v3.4 Release (Cleanup)User Adminpublic2016-12-26 23:37
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeverityblockReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001612: permissions broken already in 3.2 release: cannot set any permissions
Descriptionsame in today's master

can't set a 'guests' permission to a specific project.

page returns to a white page, permissions are not set

created company, user, project all with same name.
want to grant the user with guest role just access and view to this one project

same for companies.

system does add something, if I reload the page, but there is no item description in thast field
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003633

caseydk (administrator)

What is the url that actually returns the white page?

~0003635

opto (manager)

http://localhost/w2pmo1/index.php?m=users

~0003637

caseydk (administrator)

Are you getting any message in the logs?

~0003652

caseydk (administrator)

There were two issues with this one..

First, the $canDelete was never getting set, so this wasn't letting you delete things. Fixed here:
https://github.com/web2project/web2project/commit/2e22c64f7b9d040d35f60b782d07f55764587c03

The secondary - and smaller - issue was that post-action, the routing wasn't sending you back to see your change. Fixed here:
https://github.com/web2project/web2project/commit/aaa6c0fb360b2811713da72e1129d1685f272fa0

~0003668

opto (manager)

Last edited: 2014-10-11 02:14

View 2 revisions

this is still there:

create new guest
set permission to view one company (-> this actually does bring up the default page shown if no permissions - the single company is not shown - see separate bug)

add permissions for all companies - now user can see company list
delete all company permission
deltete single company permission
reset a new single company permission
-> whitepage


OK, it seems this happens if I forget to check any of the permissions checkboxes. Still, that should just silently return and do nothing, but not give a whitepage.

~0003672

caseydk (administrator)

Resolved in development:
https://github.com/web2project/web2project/commit/f60dbf51cc15bd8435a26df4a7e56b19dea74c21
+Notes

-Issue History
Date Modified Username Field Change
2014-08-27 13:24 opto New Issue
2014-08-27 13:34 opto Summary permissions broken => permissions broken already in 3.2 release: cannot set any permissions
2014-08-27 13:34 opto Description Updated View Revisions
2014-08-28 21:14 caseydk Note Added: 0003633
2014-08-28 21:14 caseydk Assigned To => caseydk
2014-08-28 21:14 caseydk Status new => feedback
2014-08-29 00:13 opto Note Added: 0003635
2014-08-29 00:13 opto Status feedback => assigned
2014-08-31 22:11 caseydk Note Added: 0003637
2014-09-21 09:23 caseydk Note Added: 0003652
2014-09-21 09:23 caseydk Status assigned => resolved
2014-09-21 09:23 caseydk Fixed in Version => 4.0
2014-09-21 09:23 caseydk Resolution open => fixed
2014-10-08 09:20 caseydk Project v3.2 Release => v3.3 Release (Current)
2014-10-08 09:21 caseydk Target Version => 3.3
2014-10-08 09:21 caseydk Fixed in Version 4.0 => 3.3
2014-10-08 09:22 caseydk Status resolved => closed
2014-10-11 02:05 opto Note Added: 0003668
2014-10-11 02:05 opto Status closed => feedback
2014-10-11 02:05 opto Resolution fixed => reopened
2014-10-11 02:14 opto Note Edited: 0003668 View Revisions
2014-10-11 20:13 caseydk Note Added: 0003672
2014-10-11 20:13 caseydk Status feedback => resolved
2014-10-11 20:13 caseydk Resolution reopened => fixed
2016-12-26 23:37 caseydk Project v3.3 Release (Current) => v3.4 Release (Cleanup)
+Issue History